Browse Source

List LGPL (v2 / v2.1) as GPL compatible in license_is_gpl_compatible()

It may be a highly unusual choice to license Linux kernel drivers under
LGPL, but at least as long as LGPLv2 or LGPLv2.1 is used, this is fully
GPL compatible and shouldn't taint the kernel.

Signed-off-by: Harald Welte <laforge@gnumonks.org>
master
Harald Welte 10 years ago
parent
commit
70a833d57a
  1. 5
      include/linux/license.h

5
include/linux/license.h

@ -8,7 +8,10 @@ static inline int license_is_gpl_compatible(const char *license)
|| strcmp(license, "GPL and additional rights") == 0
|| strcmp(license, "Dual BSD/GPL") == 0
|| strcmp(license, "Dual MIT/GPL") == 0
|| strcmp(license, "Dual MPL/GPL") == 0);
|| strcmp(license, "Dual MPL/GPL") == 0
|| strcmp(license, "LGPL") == 0
|| strcmp(license, "LGPL v2") == 0
|| strcmp(license, "LGPL v2.1") == 0);
}
#endif

Loading…
Cancel
Save